Subject: Re: bug#77124: [PATCH] Optionally display function docstring in eldoc

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Mar 2025 14:44:55 +0300

> From: Elijah Gabe Pérez <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 20 Mar 2025 12:37:23 -0600
> 
> --- a/etc/NEWS
> +++ b/etc/NEWS
> @@ -1900,6 +1900,17 @@ another pattern matching syntax that is different from that of 'pcase',
>  which some users might find less cryptic.
>  See the Info node "(elisp) cond* Macro" for details.
>  
> +---
> +** New eldoc function 'elisp-eldoc-funcall-with-docstring'.
> +This function includes the current function docstring in eldoc echo area
> +and can be used as a more detailed alternative to 'elisp-eldoc-funcall'.
> +
> +** New user option 'elisp-eldoc-funcall-with-docstring-lenght'.
> +This user option specifies how long function docstring must be displayed
> +in 'elisp-eldoc-funcall-with-docstring'.  If set to 'short' only display
> +cut docstring before period.  Otherwise if set to 'full', display full
> +docstring.'

These two entries should be moved to a separate section "ElDoc" under
"Changes in Specialized Modes and Packages in Emacs 31.1".

Also, please mark the second entry with "---", and fix a typo there
("length").

> +(defcustom elisp-eldoc-funcall-with-docstring-lenght 'short
> +  "Specify function docstring lenght in `elisp-eldoc-funcall-with-docstring'.

"Control length of doc string shown by `elisp-eldoc-funcall-with-docstring'."

(Note the typo: "length".)

> +If set to `short' only display docstring before period.,
                    ^
A comma is missing there.  Also, there's a redundant comma at the end.
And I would rephrase:

  If set to `short', only show the first sentence of the doc string.

Thanks.